QGIS Application - Bug report #1864
Saving projects with relative paths
2009-08-08 07:39 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Project Loading/Saving

Affected QGIS version: Regression?: No
Operating System: Unix Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11924
Description

qgis works great on opening projects with relative paths to datasources, thanks to https://trac.osgeo.org/qgis/ticket/1211
but then saving the project it converts links back to absolute, even the checkbox "save absolute paths” is turned off. Data (shapefiles) and
project are in the same folder. Folder name contains spaces and Cyrillic characters.

Associated revisions

Revision bd4989ec - 2009-08-12 10:07 PM - Maghus Homann

Always use / for dir separator with QFileInfo. Fixes #1864

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11360 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 9d7d1a7a - 2009-08-12 10:07 PM - Magnus Homann

Always use / for dir separator with QFileInfo. Fixes #1864

git-svn-id: http://svn.osgeo.org/qgis/trunk@11360 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-08-12 01:08 PM - Magnus Homann
- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:9d7d1a7a (SVN r11361).

#2 - 2009-09-29 10:13 AM - Giovanni Manghi
- Resolution deleted (fixed)
- Status changed from Closed to Feedback

Sorry to have to reopen this ticket, but saving with relative paths seems not work any more, at least under Linux (testing under Ubuntu 9.04) with both qgis

1.3 from repos and 1.4 trunk compiled.

Made simple tests with shapefiles and when the "save absolute paths" is not checked the resulting project file has the paths in the form
Jpath/to/shape.shp

instead of

path/to/shape.shp

so when you try to open the project it misses to find the layers and ask you for the new layer location.

#3 - 2009-09-29 10:13 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2009-09-29 10:52 AM - Jiirgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

Replying to [comment:2 lutra]:

Sorry to have to reopen this ticket, but saving with relative paths seems not work any more, at least under Linux (testing under Ubuntu 9.04) with

both qgis 1.3 from repos and 1.4 trunk compiled.

| wonder when this happend. Apparently that never worked on Linux.

Made simple tests with shapefiles and when the "save absolute paths” is not checked

if you can check "save absolute paths” you are using something < commit:ed34b139 (SVN r11730). Which should have fixed this issue. Feel free to

reopen, if it didn't.

./path/to/shape.shp

instead of
path/to/shape.shp

#5 - 2009-09-29 11:37 AM - Giovanni Manghi

right, | didn't compiled in the last days and | tought it was already solved. Thanks.
